﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.SfDataGrid.XForms;
using Xamarin.Forms;

namespace SampleDemo
{
    public class App : Application
    {
        SfDataGrid dataGrid;
        ViewModel viewModel;
        public App()
        {
            //MainPage = new XamlPage();
            dataGrid = new SfDataGrid();
            viewModel = new ViewModel();
            this.dataGrid.ItemsSource = viewModel.OrderInfo;

            dataGrid.AutoGenerateColumns = true;

            DataTemplate template = new DataTemplate(() =>
            {
                StackLayout stack = new StackLayout()
                {
                    HorizontalOptions = LayoutOptions.FillAndExpand,
                    VerticalOptions = LayoutOptions.FillAndExpand,
                    Orientation = StackOrientation.Vertical
                };

                Label custom = new Label() { TextColor = Color.Black, FontSize = 14, VerticalTextAlignment = TextAlignment.Center };
                custom.SetBinding(Label.TextProperty, "CustomerID");

                Label user = new Label() { TextColor = Color.Black, FontSize = 14, VerticalTextAlignment = TextAlignment.Center };
                user.SetBinding(Label.TextProperty, "UserName");

                stack.Children.Add(custom);
                stack.Children.Add(user);
                return stack;
            });

            GridTemplateColumn UserName = new GridTemplateColumn
            {
                CellTemplate = template,
                MappingName = "UserName",
                HeaderText = "UserName",
            };

            dataGrid.Columns.Add(UserName);
            dataGrid.ColumnSizer = ColumnSizer.Star;
            MainPage = new ContentPage { Content = dataGrid };

        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
